%global plugin_name openshift-pipeline

Summary:    Jenkins plugin that allows operation with a Kubernetes based OpenShift server
Name:       jenkins-plugin-%{plugin_name}
Version:    1.0.13
Release:    2%{?dist}
License:    ASL 2.0
URL:        https://github.com/jenkinsci/openshift-pipeline-plugin
Source0:    https://updates.jenkins-ci.org/download/plugins/%{plugin_name}/%{version}/%{plugin_name}.hpi
Requires:   jenkins >= 1.580.1

%description
This project provides a series Jenkins plug-in implementations 
that operate on Kubernetes based OpenShift. In summary they are 
a series of REST clients that interface with the OpenShift server 
via the exposed API. They minimally mimic the REST flows of 
common uses of the oc CLI command, but in several instances 
additional REST flows have been added to provide validation of 
the operations being performed.

Their ultimate intent is to provide easy to use building blocks 
that simplify the construction of the jobs, workflows, and 
pipelines in Jenkins that operate against an OpenShift deployments.

%prep


%build


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{_libdir}/jenkins/
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_libdir}/jenkins/


%files
%{_libdir}/jenkins/%{plugin_name}.hpi

%changelog
* Thu Jun 09 2016 Scott Dodson <sdodson@redhat.com> - 1.0.13-2
- Update to 1.0.13

* Thu May 19 2016 Troy Dawson <tdawson@redhat.com> - 1.0.12-1
- Update to 1.0.12

* Tue May 17 2016 Troy Dawson <tdawson@redhat.com> - 1.0.11-1
- Update to 1.0.11

* Wed May 11 2016 Troy Dawson <tdawson@redhat.com> - 1.0.10-1
- Update to 1.0.10

* Wed Mar 09 2016 Troy Dawson <tdawson@redhat.com> - 1.0.9-1
- Update to 1.0.9

* Fri Feb 12 2016 Troy Dawson <tdawson@redhat.com> - 1.0.8-1
- Update to 1.0.8

* Tue Jan 26 2016 Troy Dawson <tdawson@redhat.com> - 1.0.7-1
- Update to 1.0.7

* Mon Jan 11 2016 Troy Dawson <tdawson@redhat.com> - 1.0.6-1
- Update to 1.0.6

* Thu Jan 07 2016 Troy Dawson <tdawson@redhat.com> - 1.0.5-1
- Update to 1.0.5

* Mon Jan 04 2016 Troy Dawson <tdawson@redhat.com> - 1.0.4-2
- Really update to 1.0.4

* Fri Dec 18 2015 Troy Dawson <tdawson@redhat.com> - 1.0.4-1
- Update to 1.0.4

* Mon Dec 07 2015 Troy Dawson <tdawson@redhat.com> - 1.0.3-1
- Update to 1.0.3

* Mon Nov 23 2015 Troy Dawson <tdawson@redhat.com> - 1.0.1-2
- Fix the jenkins version

* Mon Nov 23 2015 Troy Dawson <tdawson@redhat.com> - 1.0.1-1
- Update to 1.0.1

* Tue Nov 17 2015 Troy Dawson <tdawson@redhat.com> - 1.0-1
- Initial package
